This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 438575 - Review Request: ATOP - An interactive system load monitor
Review Request: ATOP - An interactive system load monitor
Status: CLOSED DUPLICATE of bug 430377
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-22 03:00 EDT by Gilboa Davara
Modified: 2008-03-24 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 10:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2008-03-22 03:00:07 EDT
Spec URL: http://gilboadavara.thecodergeek.com/atop.spec
SRPM URL: http://gilboadavara.thecodergeek.com/atop-1.23-2.fc8.src.rpm

Description:
ATOP is an interactive system load monitor.
ATOP displays CPU, memory, disk and network utilization as
well as process information.
ATOP can also be used to log system and process information
in raw format for long term analysis.

$ rpmlint -i -v atop-1.23-2.fc8.src.rpm
atop.src: I: checking
Comment 1 Milos Jakubicek 2008-03-22 17:03:46 EDT
Some informal review notes:

1) Obviously you forgot to run rpmlint also on the final RPM:)

>rpmlint atop-1.23-2.fc8.x86_64.rpm
atop.x86_64: E: setuid-binary /usr/bin/atop root 04711
atop.x86_64: E: non-standard-executable-perm /usr/bin/atop 04711
atop.x86_64: E: non-standard-executable-perm /usr/bin/atop 04711
atop.x86_64: W: non-conffile-in-etc /etc/cron.d/atop
atop.x86_64: E: non-readable /etc/atop/atop.daily 0711
atop.x86_64: E: non-standard-executable-perm /etc/atop/atop.daily 0711
atop.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/psaccu_atop
atop.x86_64: W: non-conffile-in-etc /etc/logrotate.d/psaccu_atop
atop.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/psaccs_atop
atop.x86_64: W: non-conffile-in-etc /etc/logrotate.d/psaccs_atop
atop.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/atop
atop.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/atop
atop.x86_64: W: dangerous-command-in-%post mv
atop.x86_64: W: service-default-enabled /etc/rc.d/init.d/atop
atop.x86_64: E: subsys-not-used /etc/rc.d/init.d/atop

2) Init scripts must not be marked as %config files.

(see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9373fe769ce512a730561f8490c54676d5d686fb)

3) Licensing: it should be GPLv2+, not just GPLv2.

(see
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#head-4d5634799c488896bc50697288213a0b2d9acbae)

4) /sbin/chkconfig

You should add also a %postun or %preun section with /sbin/chkconfig --del atop
when you run /sbin/chkconfig --add when installing the package.

5) Services shouldn't be started by default.

(chkconfig: 2345 85 15 in the init script).

Builds fine in Koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=526476).
Comment 2 Milos Jakubicek 2008-03-22 17:15:16 EDT
6) You should require chkconfig and logrotate.
Comment 3 Kairo Araujo 2008-03-24 08:55:44 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=430377
Comment 4 Mamoru TASAKA 2008-03-24 10:52:48 EDT

*** This bug has been marked as a duplicate of 430377 ***

Note You need to log in before you can comment on or make changes to this bug.